/** BEGIN COPYRIGHT BLOCK
 * Copyright (C) 2001 Sun Microsystems, Inc.  Used by permission.
 * Copyright (C) 2005 Red Hat, Inc.
 * All rights reserved.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 *
 * END COPYRIGHT BLOCK **/
#ifndef PROPSET_H
#define PROPSET_H

#include "reshash.h"


enum {
    LANGUAGE_NONE = 0,
    LANGUAGE_LOAD,
    LANGUAGE_INVALID
} ;

enum {
    BACKSLASH = 1,
    BACKSLASH_U
};


typedef struct LanguageStatusS {
    char *language;
    int status;
    struct LanguageStatusS *next;
} LanguageStatus;

typedef struct PropertiesSet {
    char *path;
    char *directory;
    char *filename;
    LanguageStatus *langlist;
    ResHash *res;
} PropertiesSet;


PropertiesSet * PropertiesInit(char *directory, char *file);
const char *PropertiesGetString(PropertiesSet *propset, char *key, ACCEPT_LANGUAGE_LIST acceptlangauge);
void PropertiesDestroy(PropertiesSet *propfile);

#endif
