/** BEGIN COPYRIGHT BLOCK
 * Copyright (C) 2001 Sun Microsystems, Inc.  Used by permission.
 * Copyright (C) 2005 Red Hat, Inc.
 * All rights reserved.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 *
 * END COPYRIGHT BLOCK **/
#ifndef TXTFILE_H
#define TXTFILE_H

#define FILE_BUFFER_SIZE  2024

/* file status */
enum {
    TEXT_FILE_NONE,
    TEXT_FILE_READING,
    TEXT_FILE_WRITING,
    TEXT_FILE_DONE
};

typedef struct TEXTFILE {
    FILE *file;
    char *fbCurrent;
    int  fbSize;
    int  fbStatus;
    char fileBuffer[FILE_BUFFER_SIZE + 1];
} TEXTFILE;

enum {
    TEXT_OPEN_FOR_READ,
    TEXT_OPEN_FOR_WRITE
};


#ifdef __cplusplus
extern "C" {
#endif

TEXTFILE * OpenTextFile(char *filename, int access);
void CloseTextFile(TEXTFILE *txtfile);
int ReadTextLine(TEXTFILE *txtfile, char *linebuf);

#ifdef CPLUSPLUS
};
#endif

#endif
